Bug 60103 - smbd <defunct> processes
Summary: smbd <defunct> processes
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: samba   
(Show other bugs)
Version: 7.2
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-02-20 03:18 UTC by John Newbigin
Modified: 2007-04-18 16:40 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-04 00:41:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John Newbigin 2002-02-20 03:18:35 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:0.9.7) Gecko/20011221

Description of problem:
Samba leaves 100's of defunct smbd processes.  Possibly related to this error in
smbd.log
[2002/02/01 12:02:31, 0] smbd/connection.c:yield_connection(62)
  yield_connection: tdb_delete failed with error Record does not exist.


Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
I think this could be related to "encrypt passwords = Yes".  I have another
machine with RH7.2 set to "security = SERVER" which does not have this problem.


Actual Results:  ps ax | grep smbd

 7788 ?        S      0:00 /usr/sbin/smbd -D
 7789 ?        Z      0:01 [smbd <defunct>]
 7790 ?        Z      0:00 [smbd <defunct>]
 7791 ?        Z      0:00 [smbd <defunct>]
 9261 ?        Z      0:00 [smbd <defunct>]
 9262 ?        Z      0:00 [smbd <defunct>]
 9263 ?        Z      0:30 [smbd <defunct>]
16495 ?        Z      0:00 [smbd <defunct>]
16496 ?        Z      0:00 [smbd <defunct>]
16578 ?        Z      0:00 [smbd <defunct>]
16579 ?        Z      0:00 [smbd <defunct>]
16580 ?        Z      0:00 [smbd <defunct>]
16581 ?        Z      0:00 [smbd <defunct>]
16582 ?        Z      0:00 [smbd <defunct>]
16583 ?        Z      0:00 [smbd <defunct>]
16586 ?        Z      0:00 [smbd <defunct>]
16592 ?        Z      1:06 [smbd <defunct>]
17092 ?        Z      0:00 [smbd <defunct>]
18138 ?        Z      0:00 [smbd <defunct>]
18139 ?        Z      0:00 [smbd <defunct>]
18140 ?        Z      0:00 [smbd <defunct>]
18141 ?        Z      0:00 [smbd <defunct>]
etc...

ps ax | grep smbd | wc --lines
    902


Expected Results:  No defunct processes.

Additional info:

smbd.log contains the following:

[2002/02/01 12:02:31, 0] smbd/connection.c:yield_connection(62)
  yield_connection: tdb_delete failed with error Record does not exist.
[2002/02/01 12:02:31, 0] smbd/connection.c:yield_connection(62)
  yield_connection: tdb_delete failed with error Record does not exist.
[2002/02/01 12:02:37, 0] lib/pidfile.c:pidfile_create(87)
  ERROR: smbd is already running. File /var/cache/samba/smbd.pid exists and
process id 7788 is running.
[2002/02/01 12:02:41, 0] smbd/connection.c:yield_connection(62)
  yield_connection: tdb_delete failed with error Record does not exist.
[2002/02/01 12:02:41, 0] smbd/connection.c:yield_connection(62)
  yield_connection: tdb_delete failed with error Record does not exist.
[2002/02/01 12:06:27, 0] smbd/connection.c:yield_connection(62)
  yield_connection: tdb_delete failed with error Record does not exist.
[2002/02/01 12:06:28, 0] smbd/connection.c:yield_connection(62)
  yield_connection: tdb_delete failed with error Record does not exist.

Comment 1 Trond Eivind Glomsrxd 2002-02-20 16:23:29 UTC
Haven't seen this when using encrypt passwd=yes (the default) myself. Can you
try the version at http://people.redhat.com/teg/samba/?

Comment 2 John Newbigin 2002-03-04 00:41:00 UTC
After some minor changes to smb.conf the defunct processes are no longer a
problem.  I did not isolate what caused the problem but it seems to have gone away.

Comment 3 Trond Eivind Glomsrxd 2002-03-21 22:08:48 UTC
Closing as a configuration issue...


Note You need to log in before you can comment on or make changes to this bug.